<?php
session_start();
ob_start();
if ($_SESSION['islogin']=='' ) { 
  echo "ΠΡΕΠΕΙ ΝΑ ΕΓΓΡΑΦΕΙΤΕ ΓΙΑ ΝΑ ΧΡΗΣΙΜΟΠΟΙΗΣΕΤΕ ΤΟ ΣΥΣΤΗΜΑ"."<BR>";
  sleep(3);
  header("Location: loginall.php"); /* Redirect browser */
  exit();
  }
$menu = $_SESSION['menu'];
?><head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style type="text/css">
table.myTable { border-collapse:collapse; }
table.myTable td, table.myTable th { border:1px solid black;padding:2px;font-size:11px; }
<p style="font-size:09px;"></p>
</style>
<body>
<div id="wrap">
<div id="header">
     <h4><?php include 'logo.php'?> </h4>
</div>
<body>
<h3>ΔΙΟΡΘΩΣΗ/ΕΠΙΣΤΡΟΦΗ ΔΙΑΓΩΝΙΣΜΑΤΟΣ </h3>
<?php
date_default_timezone_set("Europe/Athens");
require "dbconnect.php";
$usr=$_SESSION['usr'];
$teacher=$_SESSION['n'];
$dt=$_SESSION['dt'];
echo "<br>";

$id=$_GET['data'];

$sql1 = "SELECT * FROM declarations WHERE id='$id'" ;
if (!mysqli_query($con,$sql1)) {die('Error: ' . mysqli_error($con));   }
$res=mysqli_query($con,$sql1);
$row = mysqli_fetch_array($res) ;

	$testdate=$row['testdate'];
	$perapo=$row['perapo'];
	$permexri=$row['permexri'];
	$decladate=$row['decladate'];
	$subject=$row['subject'];
	$duration=$row['duration'];
	$class=$row['class'];
	$returndate=$row['returndate'];

?>
<form  method="post" > 
<br ><br >
<fieldset style="width: 800px; ">
<legend> ΣΤΟΙΧΕΙΑ ΔΙΑΓΩΝΙΣΜΑΤΟΣ</legend>
<br > ΗΜΕΡΟΜΗΝΙΑ ΔΗΛΩΣΗΣ:<input type="date"  name = 'decladate' value= <?php echo $decladate; ?> > <br >
<br > ΗΜΕΡΟΜΗΝΙΑ ΔΙΑΓΩΝΙΣΜΑΤΟΣ:<input type="date"  name = 'testdate' value= <?php echo $testdate; ?> > <br >
<br > ΤΜΗΜΑ/ΣΥΝΔΙΔΑΣΚΑΛΙΑ :<input type='text' name='class' size = '15' value="<?php echo $class; ?>" />
ΘΕΜΑ  :<input type='text' name='subject' size = '15' value="<?php echo $subject; ?>" /><br >
<br > ΔΙΑΡΚΕΙΑ  :<input type='text' name='duration' size = '3' value="<?php echo $duration; ?>" /> λεπτά.
ΑΠΟ ΠΕΡΙΟΔΟ: <input type="text" size =3 name="perapo" value=<?php echo $perapo; ?> > 
ΜΕΧΡΙ ΠΕΡΙΟΔΟ: <input type="text" size=3 name="permexri" value=<?php echo $permexri; ?> > <br >
<br > ΗΜΕΡ. ΕΠΙΣΤΡΟΦΗΣ :<input type='date' name='returndate' value="<?php echo $dt; ?>" /> 
<input type="text"  name="id" HIDDEN value=<?php echo $id; ?> >  
 
<br ><br ><br >
<input type="submit" name= "epilogiedit" value='Επιβεβαίωση Εγγραφής' >
</fieldset>
</form>
<?php
if (isset($_POST['epilogiedit']))
{
	$returndate=$_POST['returndate'];
	$id=$_POST['id'];
	$perapo=$_POST['perapo'];
	$permexri=$_POST['permexri'];
	$duration=$_POST['duration'];
    $testdate=$_POST['testdate'];
	mysqli_query($con,"UPDATE declarations SET perapo='$perapo',permexri='$permexri',testdate='$testdate',duration='$duration',returndate='$returndate' WHERE id='$id' ");
	
	echo "<br>"."<br>". "Η αλλαγή/επιστροφή έγινε με επιτυχία";
	    
	}

echo "<br>"."<br>";

 ?>
 <br /> <br />
<a  href=<?php echo $menu;?> style="color:blue "  > <button> Επιστροφή στο Μενού   </a>

</body>
</html>